Add internal notes
POST
Create internal notes in a conversation by providing the conversation id.
ApiKeyAuth conversation.replyheader
Authorization<token>Scope: conversation.reply
conversationId*integerFormat
int64The list of internal notes to create for a conversation
application/json- body
data?array<>The created internal notes
application/json- response
data?array<|>curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/notes/bulk' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "data": [ { "message": "A sample note", "agentId": "a53b25da-f676-4c52-acac-58c9280aa23d", "createdAt": "2021-12-01T12:46:36.581Z[GMT]" }, { "message": "Another sample note" } ]}'{}
"data": []
{},
"data": {},
"id": "eb31acbb-13f9-4ce7-abd3-44dd86266741",
"authorId": "5e8a300e-787e-47cd-af53-fc1ccc37933d",
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"csid": 9456,
"message": "A sample note"
"_type": "BulkActionSuccess"
{}
"error": {},
"message": "An agent with id:... cannot be found in org."
"_type": "BulkActionFailure"